> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dataerai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Patch apifunding agencies 

> GET / PATCH / DELETE /api/funding-agencies/<uuid:pk>/



## OpenAPI

````yaml /api-reference/openapi.yaml patch /api/funding-agencies/{id}/
openapi: 3.0.3
info:
  title: Console API
  version: 1.0.0
  description: Central control plane API for the Dataerai platform.
servers:
  - url: https://{server}
    description: Your Dataerai deployment (the API is served under /api)
    variables:
      server:
        default: your-deployment.dataerai.com
        description: Host of your Dataerai deployment
security: []
paths:
  /api/funding-agencies/{id}/:
    patch:
      tags:
        - api
      description: GET / PATCH / DELETE /api/funding-agencies/<uuid:pk>/
      operationId: api_funding_agencies_partial_update
      parameters:
        - in: path
          name: id
          schema:
            type: string
            format: uuid
          required: true
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PatchedFundingAgency'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/PatchedFundingAgency'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/PatchedFundingAgency'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FundingAgency'
          description: ''
      security:
        - cookieAuthCsrfExempt: []
components:
  schemas:
    PatchedFundingAgency:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        name:
          type: string
          maxLength: 255
        abbreviation:
          type: string
          maxLength: 64
        url:
          type: string
          format: uri
          maxLength: 500
        openalex_id:
          type: string
          maxLength: 64
        created_at:
          type: string
          format: date-time
          readOnly: true
    FundingAgency:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        name:
          type: string
          maxLength: 255
        abbreviation:
          type: string
          maxLength: 64
        url:
          type: string
          format: uri
          maxLength: 500
        openalex_id:
          type: string
          maxLength: 64
        created_at:
          type: string
          format: date-time
          readOnly: true
      required:
        - created_at
        - id
        - name

````